/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmodular.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sysmodular.entity.SysModularField;
import com.jeeplus.modules.sysmodular.dao.SysModularFieldDao;

/**
 * 子段关系Service
 * @author ssrh
 * @version 2018-08-17
 */
@Service
@Transactional(readOnly = true)
public class SysModularFieldService extends CrudService<SysModularFieldDao, SysModularField> {

	public SysModularField get(String id) {
		return super.get(id);
	}
	
	public List<SysModularField> findList(SysModularField sysModularField) {
		return super.findList(sysModularField);
	}
	
	public Page<SysModularField> findPage(Page<SysModularField> page, SysModularField sysModularField) {
		return super.findPage(page, sysModularField);
	}
	
	@Transactional(readOnly = false)
	public void save(SysModularField sysModularField) {
		super.save(sysModularField);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysModularField sysModularField) {
		super.delete(sysModularField);
	}


	public List<SysModularField> gridColumn( String tableName,String dbName) {
		return dao.gridColumn(tableName,dbName);
	}
	
}